=== debian/changelog ===
copencbm (0.4.2-1) unstable; urgency=low

  * new version

 -- Spiro Trikaliotis <cbm4win@trikaliotis.net>  Sun, 18 Nov 2007 12:36:44 +0100

opencbm (0.4.1-1) unstable; urgency=low

  * new version

 -- Spiro Trikaliotis <cbm4win@trikaliotis.net>  Sun, 11 Nov 2007 17:44:44 +0100

cbm4linux (0.4.0-1) unstable; urgency=low

  * new version

 -- Spiro Trikaliotis <cbm4win@trikaliotis.net>  Fri, 28 Apr 2006 19:31:44 +0200

cbm4linux (0.3.3-1) unstable; urgency=low

  * version bump

 -- Michael Klein <michael(dot)klein(at)puffin(dot)lb(dot)shuttle(dot)de>  Sat, 28 Aug 2004 20:40:44 +0200

cbm4linux (0.3.2-2) unstable; urgency=low

  * kernel 2.6 module build fixes

 -- Michael Klein <michael(dot)klein(at)puffin(dot)lb(dot)shuttle(dot)de>  Fri, 13 Feb 2004 18:33:28 +0100

cbm4linux (0.3.2-1) unstable; urgency=low

  * Initial Release.

 -- Michael Klein <michael(dot)klein(at)puffin(dot)lb(dot)shuttle(dot)de>  Sun, 31 Aug 2003 14:16:39 +0200
