=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

subdirs="include arch/linux lib cbmctrl cbmformat d64copy cbmcopy docs"

# shared library versions, option 1
version=0.4.2
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -f LINUX/Makefile SUBDIRS=$(subdirs)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -f LINUX/Makefile SUBDIRS=$(subdirs) clean
	-rm -f docs/*.dvi

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -f LINUX/Makefile \
		SUBDIRS=$(subdirs) \
		PREFIX=$(CURDIR)/debian/tmp/usr \
		MANDIR=$(CURDIR)/debian/tmp/usr/share/man/man1 \
		INFODIR=$(CURDIR)/debian/tmp/usr/share/info \
		install-files

	install -D -o root -g root -m 644 debian/devfs.conf \
		debian/tmp/etc/devfs/conf.d/cbm4linux
	install -D -o root -g root -m 644 debian/devfs.devices \
		debian/tmp/etc/devfs/devices.d/cbm4linux
	install -D -o root -g root -m 644 debian/cbm4linux-modules-source.conf.h \
		debian/tmp/etc/cbm4linux/cbm4linux-modules-source.conf.h
	install -D -o root -g root -m 644 debian/cbm4linux.modutils \
		debian/tmp/etc/modutils/cbm4linux

	mkdir -p debian/tmp/usr/src/modules/cbm4linux/debian
	for f in debian/{copyright,changelog,*.MODULE}; \
		do cp $$f debian/tmp/usr/src/modules/cbm4linux/`echo $$f | sed 's/\\.MODULE$$//'`; \
	done
	cp sys/linux/cbm_module.c include/LINUX/cbm_module.h debian/tmp/usr/src/modules/cbm4linux/
	cp debian/Makefile.module debian/tmp/usr/src/modules/cbm4linux/Makefile
	tar -czf debian/tmp/usr/src/cbm4linux.tar.gz -C debian/tmp/usr/src modules/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdebconf
	dh_installdocs
	dh_installexamples
	rm -rf `find debian/*/ -name CVS -type d -print`
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps -ldebian/libopencbm0/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
